| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Gaudi::Parsers::Message Class Reference

`#include <ParserUtils.h>`

Collaboration diagram for Gaudi::Parsers::Message:

[legend]
List of all members.

## Detailed Description

Parser message interface.

Author:
  Alexander Mazurov

Date:
  2006-02-17

Definition at line 43 of file ParserUtils.h.

## Public Types
enum | Severity { E_ERROR = 1, E_WARNING = 2, E_NOTICE = 3, E_VERBOSE = 4 }
enum | Code { C_OK = 0, C_FILENOTFOUND = 1, C_FILENOTOPENED = 2, C_SYNTAXERROR = 3, C_UNITNOTFOUND = 4, C_PROPERTYNOTFOUND = 5, C_CANNOTADDTONOTVECTOR = 6, C_CANNOTREMOVEFROMNOTVECTOR = 7, C_ZEROREMOVED = 8, C_BADREFERENCE = 9 }
## Public Member Functions
| Message (const Severity &severity, const Code &code, const std::string &message)
| Standard creator.
const std::string & | message (void) const
| Message itself.
const Severity & | severity (void) const
| Severity of message.
const Code & | code (void) const
| Code of message.
## Private Attributes
Severity | m_severity
Code | m_code
std::string | m_message

## Member Enumeration Documentation

enum Gaudi::Parsers::Message::Severity

Enumerator:

  E_ERROR |
  E_WARNING |
  E_NOTICE |
  E_VERBOSE |

Definition at line 46 of file ParserUtils.h.

    00047         {
    00048           E_ERROR   = 1 ,
    00049           E_WARNING = 2 ,
    00050           E_NOTICE  = 3 ,
    00051           E_VERBOSE = 4
    00052         };

enum Gaudi::Parsers::Message::Code

Enumerator:

  C_OK |
  C_FILENOTFOUND |
  C_FILENOTOPENED |
  C_SYNTAXERROR |
  C_UNITNOTFOUND |
  C_PROPERTYNOTFOUND |
  C_CANNOTADDTONOTVECTOR |
  C_CANNOTREMOVEFROMNOTVECTOR |
  C_ZEROREMOVED |
  C_BADREFERENCE |

Definition at line 53 of file ParserUtils.h.

    00054         {
    00055           C_OK                         = 0 ,
    00056           C_FILENOTFOUND               = 1 ,
    00057           C_FILENOTOPENED              = 2 ,
    00058           C_SYNTAXERROR                = 3 ,
    00059           C_UNITNOTFOUND               = 4 ,
    00060           C_PROPERTYNOTFOUND           = 5 ,
    00061           C_CANNOTADDTONOTVECTOR       = 6 ,
    00062           C_CANNOTREMOVEFROMNOTVECTOR  = 7 ,
    00063           C_ZEROREMOVED                = 8 ,
    00064           C_BADREFERENCE               = 9
    00065         };

## Constructor & Destructor Documentation

Gaudi::Parsers::Message::Message | ( | const Severity & | severity,
|  | const Code & | code,
|  | const std::string & | message |
| ) |  |  | `[inline]`

Standard creator.

Parameters:

  | severity | Message severity
  | code | Code of message
  | message | Message string

Definition at line 73 of file ParserUtils.h.

    00076         : m_severity ( severity )
    00077         , m_code     ( code     )
    00078         , m_message  ( message  )
    00079       {};

## Member Function Documentation

const std::string& Gaudi::Parsers::Message::message | ( | void |  | ) | const`[inline]`

Message itself.

Definition at line 81 of file ParserUtils.h.

References m_message.

    00081 {return m_message;}

const Severity& Gaudi::Parsers::Message::severity | ( | void |  | ) | const`[inline]`

Severity of message.

Definition at line 83 of file ParserUtils.h.

References m_severity.

    00083 {return m_severity;}

const Code& Gaudi::Parsers::Message::code | ( | void |  | ) | const`[inline]`

Code of message.

Definition at line 85 of file ParserUtils.h.

    00085 {return m_code;};

## Member Data Documentation

Severity Gaudi::Parsers::Message::m_severity`[private]`

Definition at line 85 of file ParserUtils.h.

Referenced by severity().

Code Gaudi::Parsers::Message::m_code`[private]`

Definition at line 88 of file ParserUtils.h.

std::string Gaudi::Parsers::Message::m_message`[private]`

Definition at line 89 of file ParserUtils.h.

Referenced by message().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiSvc/v17r1/src/JobOptionsSvc/ParserUtils.h